petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatInfoType

Indicates if you want information about the local part of the matrix, the entire parallel matrix or the maximum over all the local parts.

### Synopsis

    typedef enum {MAT_LOCAL=1,MAT_GLOBAL_MAX=2,MAT_GLOBAL_SUM=3} MatInfoType;

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h

### See Also

MatGetInfo(), MatInfo

### Level

beginner

### Location

src/mat/../../include/petscmat.h

### Examples

src/mat/examples/tutorials/ex16.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages